ST_TOL(3)

FUNCTION
st_tol - Convert a string to a long integer.

SYNOPSIS
#include <karma_st.h>

long st_tol

(CONST char *str, char **ptr, int base)

DESCRIPTION
Convert a string to a long integer.

str The string.

ptr A pointer to the first invalid character is written here. If this is NULL, nothing is written here.

base
    The base of the number system.

RETURN VALUE
The integer value.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/